Compilation problem on FET 5.9.0

Started by Andrés Chandía, February 19, 2009, 05:28:56 PM

Previous topic - Next topic

0 Members and 22 Guests are viewing this topic.

Andrés Chandía

Ubuntu 8.10 - GNU Make 3.81 - gcc and g++ (Ubuntu 4.3.2-1ubuntu12) 4.3.2 - Qt Open Source Edition version 4.4.3.

qmake fet.pro (OK)
make
cd src && qmake src.pro -o Makefile
cd src && make -f Makefile
make[1]: se ingresa al directorio `/usr/local/fet/src'
cd interface && qmake interface.pro -o Makefile
cd interface && make -f Makefile
make[2]: se ingresa al directorio `/usr/local/fet/src/interface'
/usr/share/qt3/bin/uic teachersstatisticsform_template.ui -o ../../tmp/teachersstatisticsform_template.h
uic: File generated with too recent version of Qt Designer (4.0 vs. 3.3.8b)
make[2]: *** [../../tmp/teachersstatisticsform_template.h] Error 1
make[2]: se sale del directorio `/usr/local/fet/src/interface'
make[1]: *** [sub-interface] Error 2
make[1]: se sale del directorio `/usr/local/fet/src'
make: *** [sub-src] Error 2

What should i do?.

@ch

Liviu Lalescu

You are using qmake 3 instead of qmake 4. Type "qmake -version" or "qmake --version" and see what you get. If you get version 3.x.x, it is not good, maybe use "qmake-qt4" instead of "qmake".

Also, remove the old Makefile-s before trying again.

Please let me know.

Andrés Chandía

#2
Sorry, I forgot to write that I did it also that way with no results, but now I first deleted the whole directory and I extracted the tar.bz2 again before trying it, and it seems to be working.
Thanks for your quick answer.
@ch